Bug 205536 - ISE on SysEntitlements page when Provisioning Slots are exhausted
ISE on SysEntitlements page when Provisioning Slots are exhausted
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Beth Nackashi
Depends On:
Blocks: 201770
  Show dependency treegraph
Reported: 2006-09-06 19:19 EDT by Partha Aji
Modified: 2007-04-18 13:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn414
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-20 10:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2006-09-06 19:19:01 EDT
Description of problem:
ISE error occurs on the system entitlements page when More provisioning slots
are selected than available.

Version-Release number of selected component (if applicable): 410, 415, 420
Hosted & Satellite

How reproducible:

Steps to Reproduce:

1. Create a new user
2. Using perl , allot 5 provisioning slots to this user
3. Add 10 systems (any value greater than 5). 
4. Login -> Your Rhn -> Your Preferences -> select 25 on the combo box next to 
"Show XXX entries per list page". Click save preferences
5. Click on Susbscriptions Management...
6. Click on select all check box on the entitlements  page (or manually check
more than 5 systems..)
7. Select Provisioning from the add on entitlements combo
8. Click on add
Actual results:
ISE. Log files show a sql error saying no slots available...

Expected results:
Error message with the following text-> 
"5 system(s) were successfully set to Provisioning entitled, but you do not have
enough Provisioning entitlements for the remaining 20 system(s). You may
purchase additional Provisioning entitlements at RHN store. After you have
additional Provisioning entitlements, you will be able to upgrade these systems."
Comment 1 Partha Aji 2006-09-06 19:42:16 EDT
This has now been resolved as of revisions 101868 and 10870, 10871.

Test plan:

Same as the bug .. 
Resolution same as above..
Comment 2 Beth Nackashi 2006-09-07 13:29:50 EDT
verified on QA
Comment 3 Beth Nackashi 2006-09-20 10:46:13 EDT
closing -- current release.  RHN414 phase 14 gazillion is now in production.

Note You need to log in before you can comment on or make changes to this bug.